<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/librerias/constantes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/funciones-generales.php');
include($rutaPhp.$rutaHtml.'/librerias/funciones-cachews-customNusoap.php');

$requierePaletizar=true;

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');
include($rutaPhp.$rutaHtml.'/librerias/calculadora.php');

?>

<script>

$(document).ready(function() {

	$.datepicker.regional['es'] = {
		closeText: 'Cerrar',
		prevText: '<Ant',
		nextText: 'Sig>',
		currentText: 'Hoy',
		monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
		monthNamesShort: ['Ene','Feb','Mar','Abr', 'May','Jun','Jul','Ago','Sep', 'Oct','Nov','Dic'],
		dayNames: ['Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado'],
		dayNamesShort: ['Dom','Lun','Mar','Mié','Juv','Vie','Sáb'],
		dayNamesMin: ['Do','Lu','Ma','Mi','Ju','Vi','Sá'],
		weekHeader: 'Sm',
		dateFormat: 'dd/mm/yy',
		firstDay: 1,
		isRTL: false,
		showMonthAfterYear: false,
		yearSuffix: ''
	}
	$.datepicker.setDefaults($.datepicker.regional['es']);
	$("#fechaCaducidad").datepicker({ firstDay:1,dateFormat:'dd/mm/yy' }).val();

});

</script>

<h2>Entrada de Mercancía Nº <?php echo $_SESSION['entrada']['NumEntrada']; ?></h2>

<input name="paletSeleccionado" type="hidden" id="paletSeleccionado" value="<?php echo $_SESSION['entradaPaletActual']; ?>"/>

<?php

function eanDunLimpioSumas($eanDun) {
	return str_replace('%C2%A0','+',$eanDun);
}

function eanDunError($eanDun) {
	return str_replace(' ','[ ]',$eanDun);
}

if($_POST['procesoEntradaPlay']=='1') {

	//SGAEntradasMercancia#EMP#USU#LECTURAPRODUCTO#ALMACEN;EMP;NUMENTRADA;LINEAENTRADA;CODIGO;IDIOMA;PRECINTA;LOTE;CADUCIDAD;PALET;CANTIDAD;NUMEROSDESIERE
	
	if($_POST['idioma']) $idioma=$_POST['idioma']; else $idioma='-';
	if($_POST['precinta']) $precinta=$_POST['precinta']; else $precinta='-';
	if($_POST['lote']) $lote=$_POST['lote']; else $lote='-';
	if($_POST['fechaCaducidad']) $fechaCaducidad=fechaParaProxium(fechaMysql($_POST['fechaCaducidad'])); else $fechaCaducidad='-';
	if($_POST['cadenaNumerosSerieLeidos']) $numerosSerie=$_POST['cadenaNumerosSerieLeidos']; else $numerosSerie='-';
	$contenedor=$_POST['contenedor'];
	if($_POST['cajas']==1) $cantidad=$_POST['cantidad']*$_POST['EmbalajePrimarioCaja']; else $cantidad=$_POST['cantidad'];
	
	$peticion='SGAEntradasMercancia#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#LECTURAPRODUCTO#'.$_SESSION['almacen'].';'.$_SESSION['entrada']['Empresa'].';'.$_SESSION['entrada']['NumEntrada'].';'.$_SESSION['producto']['LineaEntrada'].';'.$_SESSION['producto']['Codigo'].';'.$idioma.';'.$precinta.';'.$lote.';'.$fechaCaducidad.';'.$contenedor.';'.$cantidad.';'.$numerosSerie;;
	
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

	if($_GET['traza']=='si') {
		echo "<p>Proceso de grabación de entrada</p>";
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	$valores=explode('#',$resultado[0]['Error']);
	if($valores[0]=='0') {
	
		echo '<p>Lectura realizada correctamente.</p>';
		//echo "<p>".$_SESSION['producto']['Descripcion']." --> cantidad leida: ".$cantidad." cantidad original: ".$_POST['cantidadPedidaOriginal']."</p>";
		
		if($cantidad>=$_POST['cantidadPedidaOriginal']) { //Solo si se ha leido todo, se borra todo el producto para solicitar uno nuevo
			unset($_SESSION['producto']);
			$contenedor='';
			$pedirEanDun=true;
		}
		else $codigoProducto=$_SESSION['producto']['Codigo']; //Mantenemos el código de producto, porque es posible que se quiera leer más al no haber completado
		
		//Recargamos los datos de cabecera
	
		$peticion='SGAEntradasMercancia#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#DETALLEENTRADA#'.$_SESSION['almacen'].';'.$_SESSION['entrada']['Empresa'].';'.$_SESSION['entrada']['NumEntrada'];
		
		$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
		
		if($_GET['traza']=='si') {
			echo "<p>Nueva carga de cabecera de entrada:</p>";
			echo "<p>".$peticion."</p>";
			print_r($resultado);
			echo "<p>Datos recibidos por POST:</p>";
			print_r($_POST);
		}
		
		$_SESSION['entrada']=$resultado[0];
		$_SESSION['palets']=arreglaArrayPXMobileProxiumResult($_SESSION['entrada']['DetallePalets']);
		$_SESSION['productos']=arreglaArrayPXMobileProxiumResult($_SESSION['entrada']['ListaProductos']);
		
		if((string)$codigoProducto!='') { //Volvemos a buscar el producto, porque es posible que se quiera leer más al no haber completado
		
			foreach($_SESSION['productos'] as $item)  {
				if($item['Codigo']==$codigoProducto && $item['Cantidad']>$item['Leido']) $_SESSION['producto']=$item;
			}
			
			$cantidad=$_SESSION['producto']['Cantidad'];
			$cantidadCajas=$_SESSION['producto']['CantidadCajas'];
			$embalajePrimarioCaja=$_SESSION['producto']['EmbalajePrimarioCaja'];
			$leido=$_SESSION['producto']['Leido'];
			
			$pedirEanDun=false;
			$pedirLote=( $_SESSION['producto']['ControlLote']=='S' );
			$pedirIdioma=( $_SESSION['producto']['ControlIdioma']=='S' );
			$pedirPrecinta=( $_SESSION['producto']['ControlPrecinta']=='S' );
			$pedirFechaCaducidad=( $_SESSION['producto']['ControlFechaCaducidad']=='S' );
			$pedirNumSerie=( $_SESSION['producto']['ControlNumSerie']=='S' );
		
		}
		
	}
	else {
	
		echo '<p class="error">ERROR: '.$resultado[0]['Error'].'</p>';
		
		$codigoProducto=$_SESSION['producto']['Codigo'];
		$cantidad=$_SESSION['producto']['Cantidad'];
		$cantidadCajas=$_SESSION['producto']['CantidadCajas'];
		$embalajePrimarioCaja=$_SESSION['producto']['EmbalajePrimarioCaja'];
		$leido=$_SESSION['producto']['Leido'];
			
		$pedirEanDun=false;
		$pedirLote=( $_SESSION['producto']['ControlLote']=='S' );
		$pedirIdioma=( $_SESSION['producto']['ControlIdioma']=='S' );
		$pedirPrecinta=( $_SESSION['producto']['ControlPrecinta']=='S' );
		$pedirFechaCaducidad=( $_SESSION['producto']['ControlFechaCaducidad']=='S' );
		$pedirNumSerie=( $_SESSION['producto']['ControlNumSerie']=='S' );
	}
	

}
else { // NO procede de la lectura PLAY de entrada

	/*
	if(isset($_GET['codigo'])) { //Es llamada desde check en el listado de productos de la entrada

		$codigoProducto=$_GET['codigo'];
		$cantidad=$_GET['cantidad'];
		$cantidadCajas=$_GET['cantidadcajas'];
		$embalajePrimarioCaja=$_GET['embalajeprimariocaja'];
		$leido=$_GET['leido'];
	
		$pedirEanDun=false;
		
		$pedirLote=( $_GET['controlLote']=='S' );
		$pedirIdioma=( $_GET['controlIdioma']=='S' );
		$pedirFechaCaducidad=( $_GET['controlFechaCaducidad']=='S' );
		$pedirNumSerie=( $_GET['controlNumSerie']=='S' );
		
		//Buscamos el producto
		foreach($_SESSION['productos'] as $item)  {
			if($item['Codigo']==$codigoProducto && $item['Cantidad']>$item['Leido']) $_SESSION['producto']=$item;
		}
	
	}
	*/
	if(isset($_GET['lineaentrada'])) {
	
		//Buscamos el producto
		foreach($_SESSION['productos'] as $item)  {
			if($item['LineaEntrada']==$_GET['lineaentrada']) $_SESSION['producto']=$item;
		}
		
		if(isset($_SESSION['producto'])) { //Se ha encontrado
			
			$codigoProducto=$_SESSION['producto']['Codigo'];
			$cantidad=$_SESSION['producto']['Cantidad'];
			$cantidadCajas=$_SESSION['producto']['CantidadCajas'];
			$embalajePrimarioCaja=$_SESSION['producto']['EmbalajePrimarioCaja'];
			$leido=$_SESSION['producto']['Leido'];
			
			$pedirEanDun=false;
			$pedirLote=( $_SESSION['producto']['ControlLote']=='S' );
			$pedirIdioma=( $_SESSION['producto']['ControlIdioma']=='S' );
			$pedirPrecinta=( $_SESSION['producto']['ControlPrecinta']=='S' );
			$pedirFechaCaducidad=( $_SESSION['producto']['ControlFechaCaducidad']=='S' );
			$pedirNumSerie=( $_SESSION['producto']['ControlNumSerie']=='S' );
		}
	
	}
	else if($_POST['eanDun']) { //Se ha leido primero un código y debemos buscar de qué producto se trata
	
		unset($_SESSION['producto']);
	
		$eandun=$_POST['eanDun'];
		//$eandun=eanDunLimpioSumas($eandun);
		$eandun=urlencode($eandun); //25-6-2019 añadimos urlencode para controlar espacios
		
		
		
		$contenedor=$_POST['contenedor'];
	
		foreach($_SESSION['productos'] as $item) {
			
			$item['EAN']=urlencode($item['EAN']);  //25-6-2019 añadimos urlencode para controlar espacios
			$item['DUN']=urlencode($item['DUN']);
			
			$item['EAN']=eanDunLimpioSumas($item['EAN']);
			$item['DUN']=eanDunLimpioSumas($item['DUN']);
			
			if($_GET['traza']=='si') {
				echo "<p>ean leido: ".$eandun."<br>";
				echo "<p>ean producto: ".$item['EAN']."<br>";
				echo "<p>dun producto: ".$item['DUN']."<br>";
				echo "<p>cantidad: ".$item['Cantidad']."<br>";
				echo "<p>leido: ".$item['Leido']."<br>";
			}
			
			//echo "<hr>";
			//echo "<p>EANDUN leido: ".$eandun."</p>";
			//echo "<p>EAN producto: ".$item['EAN']."</p>";
			//echo "<p>DUN producto: ".$item['DUN']."</p>";
			//echo "<p>Item leido: ".$item['Leido']."</p>";
			//echo "<p>Item cantidad: ".$item['Cantidad']."</p>";

			
			if( ( $eandun==$item['EAN'] || $eandun==$item['DUN'] ) && (int)$item['Leido']<(int)$item['Cantidad'] ) {
				$_SESSION['producto']=$item;
				//echo "<p>Se coge este producto.</p>";
				if($eandun==$item['EAN']) $tipoLectura='EAN'; else $tipoLectura='DUN';
				break;
			}
		}
			
		if(isset($_SESSION['producto'])) { //Se ha encontrado en el detalle de la entrada y queda cantidad pendiente de leer
			
			$codigoProducto=$_SESSION['producto']['Codigo'];
			$cantidad=$_SESSION['producto']['Cantidad'];
			$cantidadCajas=$_SESSION['producto']['CantidadCajas'];
			$embalajePrimarioCaja=$_SESSION['producto']['EmbalajePrimarioCaja'];
			$leido=$_SESSION['producto']['Leido'];
			
			$pedirEanDun=false;
			$pedirLote=( $_SESSION['producto']['ControlLote']=='S' );
			$pedirIdioma=( $_SESSION['producto']['ControlIdioma']=='S' );
			$pedirPrecinta=( $_SESSION['producto']['ControlPrecinta']=='S' );
			$pedirFechaCaducidad=( $_SESSION['producto']['ControlFechaCaducidad']=='S' );
			$pedirNumSerie=( $_SESSION['producto']['ControlNumSerie']=='S' );
		}
		else {
		
			//Volvemos a recorrer el listado, por si el producto ya estuviera leido. En este caso, puede ser que esté entrando más o que sea un error repetición
			foreach($_SESSION['productos'] as $item) {
				if( ( $eandun==$item['EAN'] || $eandun==$item['DUN'] ) && $item['Leido']==$item['Cantidad'] ) {
					$_SESSION['producto']=$item;
					if($eandun==$item['EAN']) $tipoLectura='EAN'; else $tipoLectura='DUN';
					break;
				}
			}
			
			if(isset($_SESSION['producto'])) { //Se ha encontrado en el detalle de la entrada con toda la cantidad leida. Así que va a ser una entrada completamente nueva
			
				$codigoProducto=$_SESSION['producto']['Codigo'];
				$embalajePrimarioCaja=$_SESSION['producto']['EmbalajePrimarioCaja'];
				
				$pedirEanDun=false;
				$pedirLote=( $_SESSION['producto']['ControlLote']=='S' );
				$pedirIdioma=( $_SESSION['producto']['ControlIdioma']=='S' );
				$pedirPrecinta=( $_SESSION['producto']['ControlPrecinta']=='S' );
				$pedirFechaCaducidad=( $_SESSION['producto']['ControlFechaCaducidad']=='S' );
				$pedirNumSerie=( $_SESSION['producto']['ControlNumSerie']=='S' );
				
				//Reseteamos todos los datos de comportamientos, porque no podemos usar los que están informados en esa linea
				foreach($_SESSION['comportamientos'] as $comportamiento) $_SESSION['producto'][$comportamiento['NombreSQL']]='';
				
				?><script>alert('ATENCIÓN: Este producto ya está leido.<br>Se procederá a registrar una entrada nueva que no consta en la previsión.');</script><?php
				
			}
			else {

				/// No se ha encontrado en el detalle de la entrada, si el REGIMEN es GENERAL buscamos entre todos los productos del cliente asociado a la entrada
				if($_SESSION['entrada']['Regimen']=='GRAL') {
					
					$eandun=urldecode($eandun);
					
					$peticion='SGAEntradasMercancia#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#COMPRUEBAPRODUCTO#'.$_SESSION['almacen'].';'.$_SESSION['usuario']['Usuario'].';'.$_SESSION['entrada']['NumEntrada'].';'.$eandun;
		
					$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
						
					if($_GET['traza']=='si') {
						echo "<p>COMPROBACION EANDUN NO REGISTRADO EN ENTRADA</p>";
						echo "<p>".$peticion."</p>";
						print_r($resultado);
					}
						
					if(!$resultado[0]['Error']) {
						
						$_SESSION['producto']=$resultado[0];
						$productoNoRegistrado=true;
						
						$codigoProducto=$_SESSION['producto']['Codigo'];
						$embalajePrimarioCaja=$_SESSION['producto']['EmbalajePrimarioCaja'];
						
						$pedirEanDun=false;
						$pedirLote=( $_SESSION['producto']['ControlLote']=='S' );
						$pedirIdioma=( $_SESSION['producto']['ControlIdioma']=='S' );
						$pedirPrecinta=( $_SESSION['producto']['ControlPrecinta']=='S' );
						$pedirFechaCaducidad=( $_SESSION['producto']['ControlFechaCaducidad']=='S' );
						$pedirNumSerie=( $_SESSION['producto']['ControlNumSerie']=='S' );
						
						if($eandun==$_SESSION['producto']['EAN']) $tipoLectura='EAN'; else $tipoLectura='DUN';
					}
					else {
						$error=explode('#',$resultado[0]['Error']);
						if($error[0]=='1') $mensajeError=$error[1]; else $mensajeError=$resultado[0]['Error'];
						?><p class="error">ERROR: <?php echo $mensajeError; ?></p><p class="error">Código leido: <?php echo eanDunError($eandun); ?></p><?php
						$pedirEanDun=true;
					}
				}
				else {
					?>
					<script>
						alert('ATENCIÓN: El producto solicitado no se encuentra previsto en la Entrada.<br>En Regimen <?php echo $_SESSION['entrada']['Regimen']; ?> no está permitido incluir productos no previstos.<br><br>Código leido: <?php echo eanDunError(urldecode($eandun)); ?>').done(function(){
							$('#eanDun').focus();
						});
                    </script>
					<?php
					$pedirEanDun=true;
				}
				
			}

		}
			
	}
	else $pedirEanDun=true;
	
}

if($_SESSION['producto']) {

	if($_GET['traza']=='si') print_r($_SESSION['producto']);

	if($_SESSION['verEnCajas']=='S' && $_SESSION['producto']['EmbalajePrimarioCaja']) $mostrarCajas=true;

	if( $mostrarCajas && $tipoLectura!='EAN' ) {
		$etiqueta="Cajas";
		$etiquetaInversa="Unidades";
		$cajas=true;
	}
	else {
		$etiqueta="Unidades";
		$etiquetaInversa="Cajas";
		$cajas=false;
	}
	
	$numerosSerie=arreglaArrayPXMobileProxiumResult($_SESSION['producto']['NumerosSerie']);
}

?>
        
<script>

	//Inicialización de los campos de lectura y el orden para focos
	//Redefición de las variables en formato javascript desde php, para su gestion posterior por jquery
		
	var pedirEanDun=<?php if($pedirEanDun) echo 'true'; else echo 'false'; ?>;
	var pedirLote=<?php if($pedirLote) echo 'true'; else echo 'false'; ?>;
	var pedirIdioma=<?php if($pedirIdioma) echo 'true'; else echo 'false'; ?>;
	var pedirPrecinta=<?php if($predirPrecinta) echo 'true'; else echo 'false'; ?>;
	var pedirFechaCaducidad=<?php if($pedirFechaCaducidad) echo 'true'; else echo 'false'; ?>;
	var pedirNumSerie=<?php if($pedirNumSerie) echo 'true'; else echo 'false'; ?>;
		
	var secuenciaCampos=new Array();
		
	function inicializaSecuencia() {
		
		secuenciaCampos=[];
		
		secuenciaCampos.push('contenedor');
		
		<?php if($pedirEanDun) { ?>secuenciaCampos.push('eanDun');<?php } ?>
		<?php if($pedirLote) { ?>secuenciaCampos.push('lote');<?php } ?>
		//<?php if($pedirIdioma) { ?>secuenciaCampos.push('idioma');<?php } ?>
		//<?php if($pedirPrecinta) { ?>secuenciaCampos.push('precinta');<?php } ?>
		<?php if($pedirFechaCaducidad) { ?>secuenciaCampos.push('fechaCaducidad');<?php } ?>
		<?php if($pedirNumSerie) { ?>secuenciaCampos.push('lecturaNS-1');<?php } ?>
			
		secuenciaCampos.push('cantidad');

	}
		
	function focoSiguiente(campoActual) {
		
		if(campoActual=='') foco=secuenciaCampos[0];
		else {
			for (i=0;i<secuenciaCampos.length;i++) {
					if(secuenciaCampos[i]==campoActual) foco=secuenciaCampos[i+1];
			}
		}
		$('#'+foco).focus();
		console.log(foco);
		return foco;
	}
	
	var numerosSerieLeidosAnteriormente=new Array();
	
	<?php foreach($numerosSerie as $numeroSerie) { ?>
	numerosSerieLeidosAnteriormente.push('<?php echo $numeroSerie['NumeroSerie']; ?>');
	<?php } ?>
		
</script>

<?php if($requierePaletizar) { ?>

<div id="contenedorPrincipal" class="contenedorPestanyas sombra anchoMaximo" style="margin-top:70px;">

	<div class="pestanya" id="pestanyaListadoPalets">
		<div class="pestanyaEtiqueta" id="etiquetaListadoPalets">Selector de Palets</div>
        <div class="pestanyaContenido" style="text-align:center" >
        	
            <div id="contenidoPaletsListado">
            
            <?php  foreach($_SESSION['palets'] as $palet) { ?>
            
                <h2 id="itemPalet<?php echo $palet['CodigoPalet']; ?>" idPalet="<?php echo $palet['CodigoPalet']; ?>" seleccionado="<?php if($_SESSION['entradaPaletActual']==$palet['CodigoPalet']) { ?>si<?php } else { ?>no<?php } ?>" class="selectorPaletSuperior" style="margin:20px">
                
                <span class="selectorPalet clicable" ><?php echo $palet['CodigoPalet']; ?></span>
                
                <img class="imagenPalet selectorPalet clicable" id="imagenPalet<?php echo $palet['CodigoPalet']; ?>" src="<?php echo DIR_IMAGENES; ?>/<?php if($_SESSION['entradaPaletActual']==$palet['CodigoPalet']) { ?>ok<?php } else { ?>palet<?php } ?>.png" width="47" style="margin-bottom:-5px"/>
                
            </h2>
            
            <?php } ?>
            
            </div>
            
        </div>
    </div>
    
    <div class="pestanya primeroSeleccionaPalet" id="pestanyaContenidoPalet">
        <div class="pestanyaEtiqueta" id="etiquetaContenidoPalet">Palet actual: <strong id="etiquetaCodigoPalet"><?php echo $_SESSION['entradaPaletActual']; ?></strong></div>
      <div class="pestanyaContenido" id="contenidoPalet">
        </div>
    </div> 
        
    <div class="pestanya primeroSeleccionaPalet" id="pestanyaLectura">
        <div class="pestanyaEtiqueta" id="etiquetaPreparar">Lectura de Productos</div>
        <div class="pestanyaContenido" style="text-align:center" >

<?php } //Fin si requiere paletizar, montamos pestañas ?>    


    	<form id="formulario" name="formulario" method="post" action="">
    
		<input type="hidden" name="procesoEntradaPlay" id="procesoEntradaPlay" value="0" />
    
		<h3>Producto a Leer</h3>
        
        <div id="popupNumerosSerie" class="popup" style="display:none"></div>
        <div id="popupNumerosSerieContenido" class="popupContenidoScroll" style="display:none"></div>
        
        <?php if($requierePaletizar) { ?>
        
        <div id="bloqueContenedor" style="width:350px;margin:20px auto">
        	<p class="sinMargen">Contenedor:</p>
        	<div class="campoOrdenPreparacionBloque">
        	<img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoContenedor" />
            <!--<input name="contenedor" type="text" class="campo campoOrdenPreparacion" id="contenedor" maxlength="14" value="<?php if($contenedor) echo $contenedor; else echo $_SESSION['entradaPaletActual']; ?>" style="left:5px;"/>-->
            <input name="contenedor" type="text" class="campo campoOrdenPreparacion" id="contenedor" maxlength="14" value="<?php echo $_SESSION['entradaPaletActual']; ?>" style="left:5px;"/>
        	<img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarContenedor" style="position:absolute;right:5px;cursor:pointer;"/>
        	</div>
        </div>
        
        <?php } ?>
        
        <?php if(isset($codigoProducto)) { ?>
        
        <?php if($productoNoRegistrado) { ?><script>alert('Este producto no está en previsión, pero puede añadirse a la Entrada.');</script><?php } ?>
        
        <?php
		$cadenaNumerosSerie='';
		$numerosSerie=arreglaArrayPXMobileProxiumResult($_SESSION['producto']['NumerosSerie']);
		foreach($numerosSerie as $numero) {
			if(!empty($cadenaNumerosSerie)) $cadenaNumerosSerie.=';';
			$cadenaNumerosSerie.=$numero['NumeroSerie'].','.$numero['Leido'].','.$numero['Ubicacion'];
		}
		?>
        
        <table class="tablaFormateada">
		<tr>
			<?php if(count($_SESSION['empresas'])>1) { ?><th>Emp.</th><?php } ?>
			<th>Código</th>
			<th>Descripción</th>
			<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
				<?php if($comportamiento['Activo']=='S' && $_SESSION['producto']['Control'.$comportamiento['NombreSQL']]=='S' ) { ?>
                <th><?php echo $comportamiento['Nombre']; ?></th>
				<?php } ?>
			<?php } ?>
            <th>Cant.</th>
            <?php if($_SESSION['verEnCajas']=='S') { ?><th>Cajas</th><?php } ?>
            <th>Leido.</th>
			<th>Formato</th>
		 </tr>
		 <tr>
			<?php if(count($_SESSION['empresas'])>1) { ?><td><?php echo $_SESSION['entrada']['Empresa']; ?></td><?php } ?>
			<td><?php echo $codigoProducto; ?></td>
			<td align="left"><?php echo $_SESSION['producto']['Descripcion']; ?></td>
            <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
            	<?php if($comportamiento['Activo']=='S' && $_SESSION['producto']['Control'.$comportamiento['NombreSQL']]=='S' ) { ?>
                <td><?php
				if($comportamiento['NombreSQL']=='Regimen') echo $_SESSION['producto']['Regimen'];
					if($comportamiento['Codigo']=='NS' && $_SESSION['producto']['NumerosSerie']) {
                    	?><img class="verNumerosSerie clicable" src="<?php echo DIR_IMAGENES; ?>/barcode-buscar.png" style="width:60px" numeros="<?php echo $cadenaNumerosSerie; ?>"/><?php
                    }
					else if($_SESSION['producto'][$comportamiento['NombreSQL']]) echo formateaTipo($_SESSION['producto'][$comportamiento['NombreSQL']],$comportamiento['Tipo']);
				?>
				</td>
            	<?php } ?>
			<?php } ?>
			<td align="right"><?php echo number_format($cantidad,0,',','.'); ?></td>
            <?php if($_SESSION['verEnCajas']=='S') { ?><td align="right"><?php echo number_format($cantidadCajas,2,',','.'); ?></td><?php } ?>
            <td align="right"><?php echo number_format($leido,0,',','.'); ?></td>
			<td><?php echo $_SESSION['producto']['Formato']; ?></td>
		</tr>
		</table>
<br />
        
		<?php } ?>
            
        <?php if( $pedirEanDun ) { ?>
                
			<div id="bloqueEanDun" style="width:350px;margin:0 auto">
				<p class="sinMargen">Código EAN/DUN:</p>
                <div class="campoOrdenPreparacionBloque" style="margin-bottom:40px">
                <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoEanDun" /><input name="eanDun" type="text" class="campo campoOrdenPreparacion" id="eanDun" style="left:5px;"/>
                <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarEanDun" style="position:absolute;right:5px;cursor:pointer;"/>
                </div>
			</div>
                
		<?php } ?>

		<?php if($_SESSION['producto']) { ?>
        
			<?php if($pedirLote) { ?>
            
            <div id="bloqueContenedor" style="width:350px;margin:20px auto">
                <p class="sinMargen">Lote:</p>
                <div class="campoOrdenPreparacionBloque">
                <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoLote" /><input name="lote" type="text" class="campo campoOrdenPreparacion" id="lote" maxlength="14" style="left:5px;"/>
                <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarLote" style="position:absolute;right:5px;cursor:pointer;"/>
                <?php if($loteAutomaticoEntrada) { ?>
                <img src="<?php echo DIR_IMAGENES; ?>/lote-neutro.png" alt="Borrar" id="loteAutomatico" style="position:absolute;right:-60px;cursor:pointer;"/>
                <?php } ?>
                </div>
            </div>
            
            <?php } ?>
            
            <?php if($pedirFechaCaducidad) { ?>
            
            <div id="bloqueContenedor" style="width:350px;margin:20px auto">
                <p class="sinMargen">Fecha de Caducidad:</p>
                <div class="campoOrdenPreparacionBloque">
                <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoFechaCaducidad" /><input name="fechaCaducidad" type="text" class="campo campoOrdenPreparacion" id="fechaCaducidad" maxlength="14" style="left:5px;"/>
                <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarFechaCaducidad" style="position:absolute;right:5px;cursor:pointer;"/>
                </div>
            </div>
            
            <?php } ?>
            
            <?php if($pedirIdioma) { ?>
            
            <div id="bloqueContenedor" style="width:350px;margin:20px auto">
                <p class="sinMargen">Idioma:</p>
                <div class="campoOrdenPreparacionBloque">
                <input name="idioma" type="text" class="campo campoOrdenPreparacion" id="idioma" maxlength="14" style="left:5px;" value="<?php echo $_SESSION['producto']['Idioma']; ?>"/>
                </div>
            </div>
            
            <?php } ?>
            
            <?php if($pedirPrecinta) { ?>
            
            <div id="bloqueContenedor" style="width:350px;margin:20px auto">
                <p class="sinMargen">Tipo de Precinta:</p>
                <div class="campoOrdenPreparacionBloque">
                <input name="precinta" type="text" class="campo campoOrdenPreparacion" id="precinta" maxlength="14" style="left:5px;" value="<?php echo $_SESSION['producto']['Precinta']; ?>"/>
                </div>
            </div>
            
            <?php } ?>
            
            <?php if( $pedirNumSerie ) { ?>
            
            <div id="bloqueContenedor" style="width:350px;margin:20px auto">
            	<p class="sinMargen">Números de serie:</p>
                <div id="bloqueLecturaNS-1" class="campoOrdenPreparacionBloque">
                <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado iconoTecladoNS" id="tecladoNS-1" contador="1"/><input name="lecturaNS-1" type="text" class="campo campoOrdenPreparacion lecturaNS" id="lecturaNS-1" contador="1" style="left:5px;"/>
                <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="campoOrdenPreparacionBorrar borrarNS" contador="1" style="right:0"/>
                </div>
                <div id="nuevaLecturaNS-1"></div>
            </div>
            
            <input type="hidden" id="cantidadMaximaNumerosSerie" name="cantidadMaximaNumerosSerie" value="<?php if($cantidad>0) echo $cantidad; else echo 1000; ?>" />
            <input type="hidden" id="ultimoBloqueNumeroSerie" name="ultimoBloqueNumeroSerie" value="1" />
            <input type="hidden" id="cadenaNumerosSerieLeidos" name="cadenaNumerosSerieLeidos" style="width:400px" />
            
            <?php } ?>
            
            <input type="hidden" name="cantidadPedidaOriginal" id="cantidadPedidaOriginal" value="<?php echo $_SESSION['producto']['Cantidad']-$_SESSION['producto']['Leido']; ?>"/>
            <input type="hidden" name="cajas" id="cajas" value="<?php echo $cajas; ?>"/>
        	<input type="hidden" name="EmbalajePrimarioCaja" id="EmbalajePrimarioCaja" value="<?php echo $_SESSION['producto']['EmbalajePrimarioCaja']; ?>" />
            
            <div id="bloqueContenedor" style="width:350px;margin:20px auto">
                <p class="sinMargen">Cantidad (<span id="etiqueta"><?php echo $etiqueta; ?></span>)</p>
                <div class="campoOrdenPreparacionBloque">
                <?php if($mostrarCajas) { ?><img src="<?php echo DIR_IMAGENES; ?>/<?php echo $etiquetaInversa; ?>.png" alt="Informar en <?php echo $etiqueta; ?>" class="iconoTeclado" id="iconoUnidades" /><?php } ?>
                <input name="cantidad" type="text" class="campo cantidad campoOrdenPreparacion" id="cantidad" maxlength="14" style="left:5px;" <?php if( $pedirNumSerie ) { ?>readonly<?php } ?>/>
                <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarCantidad" style="position:absolute;right:5px;cursor:pointer;"/>
                </div>
            </div>
        
        <?php } ?>

<?php if($requierePaletizar) { ?>

    </div> <!-- ultima pestaña -->

</div> <!-- contenedorPrincipal -->

<?php } //Fin si requiere paletizar, montamos pestañas ?>

<div id="popupNumerosSerie" class="popup" style="display:none;z-index:20000"></div>
<div id="popupNumerosSerieContenido" class="popupContenidoScroll" style="display:none;z-index:20000"></div>

<div id="popupPrecintas" class="popup" style="display:none;z-index:20000">
	<div class="popupContenidoSimple" style="text-align:left">
    	<?php
        foreach( arreglaArrayPXMobileProxiumResult($_SESSION['producto']['EstadosPrecintado']) as $precinta) {
			?><p><label><input type="radio" name="tipoPrecinta" id="tipoPrecinta<?php echo $precinta['PrecintaCodigo']; ?>" value="<?php echo $precinta['PrecintaCodigo']; ?>"  class="tipoPrecinta checkGrande" <?php if($precinta['PrecintaCodigo']==$_SESSION['producto']['Precinta']) { ?>checked<?php } ?>/> <?php echo $precinta['PrecintaDescripcion']; ?></label></p><?php
		}
		?>
        <p style="text-align:center"><input id="botonCierraPrecintas" type="button" value="Cerrar" class="boton"/></p>
    </div>
</div>

<script>

	function validaCampos() {
	
		$('#contenedor').removeClass('campoError');
		
		<?php if($pedirLote) { ?>$('#lote').removeClass('campoError');<?php } ?>
		<?php if($pedirFechaCaducidad) { ?>$('#fechaCaducidad').removeClass('campoError');<?php } ?>
		
		$('#cantidad').removeClass('campoError');
	
		if( $('#cantidad').val()=='' || $('#cantidad').val()==0 ) {
			alert('Para continuar es necesario indicar la cantidad.')
			.done( function() {
				$('#cantidad').addClass('campoError');
				$('#cantidad').focus();
				return false;
			});
		}
		/*
		if($('#contenedor').val()=='') {
			alert('Para continuar es necesario indicar el Contenedor.')
			.done( function() {
				$('#contenedor').addClass('campoError');
				$('#contenedor').focus();
				return false;
			});
		}
		*/
		<?php if($pedirLote) { ?>
		else if( $('#lote').val()=='' ) {
			alert('Para continuar es necesario indicar el Lote.')
			.done( function() {
				$('#lote').addClass('campoError');
				$('#lote').focus();
				return false;
			});
		}
		<?php } ?>
		<?php if($pedirFechaCaducidad) { ?>
		else if( $('#fechaCaducidad').val()=='' ) {
			alert('Para continuar es necesario indicar la fecha de caducidad.')
			.done( function() {
				$('#fechaCaducidad').addClass('campoError');
				$('#fechaCaducidad').focus();
				return false;
			});
		}
		<?php } ?>
		else return true;

	}

	function cambiaUnidades() {
	
		if( $('#cajas').val()==1 ) {
			$('#iconoUnidades').attr('src','img/Cajas.png');
			$('#cajas').val(0);
			$('#etiqueta').html('Unidades');
					
			var resultado = parseInt( $('#cantidad').val() * $('#EmbalajePrimarioCaja').val() );
					
			if(resultado>0) $('#cantidad').val( resultado );
		}
		else {
			$('#iconoUnidades').attr('src','img/Unidades.png');
			$('#cajas').val(1);
			$('#etiqueta').html('Cajas');
					
			var flotante = parseFloat( $('#cantidad').val() / $('#EmbalajePrimarioCaja').val() );
			var resultado = Math.round(flotante*100)/100;
					
			if(resultado>0) $('#cantidad').val( resultado );
		}
	
	}


/// Funciones preparación campos numeros de serie

	function gestionaNumerosSerie() {
	
		var cadena='';
		var cuantos=0;
		$('.lecturaNS').each(function(){
			if($(this).val()!='') {
				cadena=cadena+$(this).val()+',';
				cuantos++;
			}
		});
		cadena=cadena.substr(0,cadena.length-1);
		$('#cadenaNumerosSerieLeidos').val(cadena);
				
		if(cuantos>0) $('#cantidad').val(cuantos);
		else $('#cantidad').val('');
	
	}
	
	function construyeLecturaNS(contador) {
					
		var nuevoContador=contador+1;
		
		$('#nuevaLecturaNS-'+contador).html('<div id="bloqueLecturaNS-'+nuevoContador+'" class="campoOrdenPreparacionBloque"><img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado iconoTecladoNS" id="tecladoNS-'+nuevoContador+'" contador="'+nuevoContador+'"/><input name="lecturaNS-'+nuevoContador+'" type="text" class="campo campoOrdenPreparacion lecturaNS" id="lecturaNS-'+nuevoContador+'" contador="'+nuevoContador+'" style="left:5px;"/><img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="campoOrdenPreparacionBorrar borrarNS" contador="'+nuevoContador+'" style="right:0"/></div><div id="nuevaLecturaNS-'+nuevoContador+'"></div>');
		
		$('#ultimoBloqueNumeroSerie').val(nuevoContador);
		$('#lecturaNS-'+nuevoContador).focus();
		
		redimensionaPestanyas('contenedorPrincipal');
		
		var posicion = $('#lecturaNS-'+nuevoContador).offset().top;
		$('html,body').animate({scrollTop:posicion});
		
	}



function seleccionaPalet(palet) {
		
	$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-palet-seleccionar.php", { 'palet' : palet })
	.done(function() {
			
		$('.selectorPalet').parent().attr('seleccionado','no');
		$('.imagenPalet').attr("src","<?php echo DIR_IMAGENES; ?>/palet.png");
					
		$('#selectorPalet'+palet).parent().attr('seleccionado','si');
		$('#imagenPalet'+palet).attr("src","<?php echo DIR_IMAGENES; ?>/ok.png");
			
		//Valores para formulario preparacion
		$('#paletSeleccionado').val(palet);
			
		//Valor para etiqueta pestaña
		$('#etiquetaCodigoPalet').html(palet);
		
		//Valor para el campo contenedor
		$('#contenedor').val(palet);
		
		//Carga contenido del palet en la segunda pestaña
		$('#popupCargando').show();
		$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-palet-contenido.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>", { 'palet' : palet })
		.done(function(data) {
			$('#contenidoPalet').html(data);
			redimensionaPestanyas('contenedorPrincipal');
		});
			
		$("html, body").animate({scrollTop:0},"slow");
		mueveHastaPestanya('pestanyaLectura');
		focoSiguiente('contenedor');
			
		$('#popupCargando').hide();
				
	});
		
}

function deSeleccionaPalet() {
		
	$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-palet-seleccionar.php", { 'palet' : '' })
	.done(function() {
			
		$('.selectorPalet').parent().attr('seleccionado','no');
		$('.imagenPalet').attr("src","<?php echo DIR_IMAGENES; ?>/palet.png");
					
		//Valores para formulario preparacion
		$('#paletSeleccionado').val('');
			
		//Valor para etiqueta pestaña
		$('#etiquetaCodigoPalet').html('');
		
		//Carga contenido del palet en la segunda pestaña
		$('#contenidoPalet').html('');
		redimensionaPestanyas('contenedorPrincipal');
				
	});
		
}


$(document).ready(function() {
	
	
	<?php if($_SESSION['entradaPaletActual']) { ?>
		
	$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-palet-contenido.php", { 'palet' : '<?php echo $_SESSION['entradaPaletActual']; ?>' })
	.done(function(data) {
		$('#contenidoPalet').html(data);
		redimensionaPestanyas('contenedorPrincipal');
	});
		
	<?php } ?>
	
	$(document).on('click','.selectorPalet',function() {
		
		var palet=$(this).parent().attr('idPalet');
		
		if( $(this).parent().attr('seleccionado')=='no' ) {
			$('#popupCargando').show();
			seleccionaPalet(palet);
		}
		
	});



	///////////////////////////////////////////////////// Gestion campo Contenedor

			$(document).on('click','#tecladoContenedor',function(){
				$('#teclado').show();
				$('#valor').val( $('#contenedor').val() );
				$('#valorOculto').val( $('#contenedor').val() );
				$('#enter').attr('campoValor','contenedor');
				$('#enter').attr('forzarEnter','si');
			});

			$(document).on('click','#borrarContenedor',function(){
				deSeleccionaPalet();
				$("#contenedor").val('');
				$("#contenedor").focus();
			});
			
			$(document).on('change','#contenedor',function(){
				focoSiguiente('contenedor');
			});




			
	///////////////////////////////////////////////////// Gestion campo EAN/DUM
			
			$(document).on('change','#eanDun',function(){
				$('#popupCargando').show();
				$('#formulario').submit();
			});
			
			$(document).on('click','#tecladoEanDun',function(){
				$('#teclado').show();
				$('#valor').val( $('#eanDun').val() );
				$('#valorOculto').val( $('#eanDun').val() );
				$('#enter').attr('campoValor','eanDun');
				$('#enter').attr('forzarEnter','si');
				
			});
			
			$(document).on('click','#borrarEanDun',function(){
				$("#ubicacion").val('');
				$("#eanDun").val('');
				$('#eanDunCorrecto').val(0)
				$("#eanDun").focus();		
			});



	///////////////////////////////////////////////////// Gestion campo lote

			$(document).on('click','#tecladoLote',function(){
				$('#teclado').show();
				$('#valor').val( $('#lote').val() );
				$('#valorOculto').val( $('#lote').val() );
				$('#enter').attr('campoValor','lote');
				$('#enter').attr('forzarEnter','si');
			});
			
			$(document).on('change','#lote',function(){
				siguienteCampo=focoSiguiente('lote');
			});
			
			$(document).on('click','#borrarLote',function(){
				$("#lote").val('');
				$("#lote").focus();		
			});
			
		///////////////////////////////////////////////////// Gestion campo fecha caducidad

			$(document).on('click','#tecladoFechaCaducidad',function(){
				$('#teclado').show();
				$('#valor').val( $('#fechaCaducidad').val() );
				$('#valorOculto').val( $('#fechaCaducidad').val() );
				$('#enter').attr('campoValor','fechaCaducidad');
				$('#enter').attr('forzarEnter','si');
			});
			
			$(document).on('change','#fechaCaducidad',function(){
				siguienteCampo=focoSiguiente('fechaCaducidad');
			});
			
			$(document).on('click','#borrarFechaCaducidad',function(){
				$("#fechaCaducidad").val('');
				$("#fechaCaducidad").focus();		
			});

		///////////////////////////////////////////////////// Gestion campo precinta
		
			$(document).on('click','#precinta',function(){
				$('#popupPrecintas').show();
			});
			
			$('#botonCierraPrecintas').on('click',function(){
				$('#popupPrecintas').hide();
			});
			
			$('.tipoPrecinta').on('change',function(){
				$('#precinta').val( $('input:radio[name=tipoPrecinta]:checked').val() );
				$('#popupPrecintas').hide();
			});



	/////////////////////////////////////////////////////Gestion iconos campo Numeros de Serie
			
			
			$(document).on('click','.iconoTecladoNS',function(){
				
				var contador=$(this).attr('contador');
				
				$('#teclado').show();
				$('#valor').val( $('#lecturaNS-'+contador).val() );
				$('#valorOculto').val( $('#lecturaNS-'+contador).val() );
				$('#enter').attr('campoValor','lecturaNS-'+contador);
				$('#enter').attr('forzarEnter','si');
			});
			
			$(document).on('change','.lecturaNS',function(){
			
				var campo=$(this);
				var contador=campo.attr('contador');
			
				var encontradoAntes=false;
			
				for(i=0;i<numerosSerieLeidosAnteriormente.length;i++) {
					if( campo.val()==numerosSerieLeidosAnteriormente[i] ) encontradoAntes=true;
				}
			
				if(encontradoAntes) {
					alert('Este Número de Serie ya está leido en la entrada.')
					.done(function(){
						campo.val('');
						campo.focus();
					});
				}
				else if( $('#cadenaNumerosSerieLeidos').val().indexOf( campo.val() ) != -1 ) {
					alert('Este Número de Serie ya se ha leido en la secuencia actual.')
					.done(function(){
						campo.val('');
						campo.focus();
					});
				}
				else {
				
					$(this).attr('readonly','readonly');
					$('#tecladoNS-'+contador).hide();
				
					gestionaNumerosSerie();
					
					//var contador=parseInt( $(this).attr('contador') );
					var contador=parseInt( $('#ultimoBloqueNumeroSerie').val() );
						
					//if( parseInt($('#cantidad').val()) < parseInt( $('#cantidadMaximaNumerosSerie').val() ) ) {
					
						construyeLecturaNS(contador);
						
					//}
				}
				
			});
			
			$(document).on('click','.borrarNS',function(){
			
				var contador=parseInt($(this).attr('contador'));
				var ultimoBloqueNumeroSerie=parseInt($('#ultimoBloqueNumeroSerie').val());
				var cantidadMaximaNumerosSerie=parseInt($('#cantidadMaximaNumerosSerie').val());
				var cantidadActual=parseInt($('#cantidad').val());
				
				if($('#lecturaNS-'+contador).val() != '') {
				
					$('#lecturaNS-'+contador).val('');
					
					if( contador!=ultimoBloqueNumeroSerie ) $('#bloqueLecturaNS-'+contador).hide();
					
					gestionaNumerosSerie();
					
					if( $( '#lecturaNS-'+ultimoBloqueNumeroSerie ).val() != '' ) {
					
						//if( cantidadActual < cantidadMaximaNumerosSerie ) {
						
							construyeLecturaNS(ultimoBloqueNumeroSerie);
						//}
					
					}
					
					$('#lecturaNS-'+ultimoBloqueNumeroSerie).focus();
					$('#lecturaNS-'+ultimoBloqueNumeroSerie).removeAttr('readonly');
				
				}
				else {
					$('#lecturaNS-'+contador).focus();
					$('#lecturaNS-'+contador).removeAttr('readonly');
				}
			
			});

	/////////////////////////////////////////////////////Gestion iconos campo Cantidad

			<?php if(!$pedirNumSerie) { ?>

			$('#iconoUnidades').on("click",function(e){
				cambiaUnidades();
			});

			$('#cantidad').on("click",function(e) {
				$('#calculadora').show();
				$('#valorCalculadora').val( $('#cantidad').val() );
				$('#enterCalculadora').attr('campoValor','cantidad');
			});
			
			$('#borrarCantidad').on('click',function(){
				$("#cantidad").val('');
				$("#cantidad").focus();
			});

			<?php } ?>
	
	$('#etiquetaPreparar').on('click',function(){
		focoSiguiente('');
	});
	
	
	$('#botonLectura').on("click",function(e){
		
		e.preventDefault();
		
		if(validaCampos()) {
		
			$('#popupCargando').show();
			$('#procesoEntradaPlay').val(1);
			$('#formulario').submit();
			
		}
	});
	
	$('.verNumerosSerie').on('click',function(){
		$.post('<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-numeros-serie.php' , { 'numeros' : $(this).attr('numeros') , 'ocultarPreparado' : 'si' })
		.done(function(data) {
			$('#popupNumerosSerieContenido').html(data);
			$('#popupNumerosSerie').show();
			$('#popupNumerosSerieContenido').show();
			
			var posicion=$(document).scrollTop();
			$('#popupNumerosSerieContenido').offset({ top: posicion+20 });
		});
	});
	
	<?php if($loteAutomaticoEntrada) { ?>
	$('#loteAutomatico').on('click',function(){
		$('#lote').val('<?php echo $_SESSION['producto']['Lote']; ?>');
		focoSiguiente('lote');
	});
	<?php } ?>
	
	mueveHastaPestanya('pestanyaLectura');
	
	//Construcción inicial
	inicializaSecuencia();
	
});

</script>

<?php

$mostrarInfo=true;

include($rutaPhp.$rutaHtml.'/maqueta/menu-entrada-mercancia.php');

if(!$_SESSION['entradaPaletActual'] && $requierePaletizar) $foco='contenedor';
else {
	if($pedirEanDun) $foco='eanDun';
	else if($pedirNumSerie) $foco='lecturaNS-1';
	else if($pedirLote ) $foco='lote';
	else $foco='cantidad';
}


include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
